[Numpy-discussion] cannot build numpy from trunk

Nils Wagner nwagner@iam.uni-stuttgart...
Tue May 5 10:50:02 CDT 2009


...
In file included from 
numpy/core/src/multiarray/ctors.c:16,
                  from 
numpy/core/src/multiarray/multiarraymodule_onefile.c:13:
numpy/core/src/multiarray/ctors.h: At top level:
numpy/core/src/multiarray/ctors.h:68: warning: conflicting 
types for ‘byte_swap_vector’
numpy/core/src/multiarray/ctors.h:68: error: static 
declaration of ‘byte_swap_vector’ follows non-static 
declaration
numpy/core/src/multiarray/scalarapi.c:640: error: previous 
implicit declaration of ‘byte_swap_vector’ was here
error: Command "/usr/bin/gcc -fno-strict-aliasing -DNDEBUG 
-fmessage-length=0 -O2 -Wall -D_FORTIFY_SOURCE=2 
-fstack-protector -funwind-tables 
-fasynchronous-unwind-tables -g -fwrapv -fPIC 
-Inumpy/core/include 
-Ibuild/src.linux-x86_64-2.6/numpy/core/include/numpy 
-Inumpy/core/src/multiarray -Inumpy/core/src/umath 
-Inumpy/core/include -I/usr/include/python2.6 
-Ibuild/src.linux-x86_64-2.6/numpy/core/src/multiarray 
-Ibuild/src.linux-x86_64-2.6/numpy/core/src/umath -c 
numpy/core/src/multiarray/multiarraymodule_onefile.c -o 
build/temp.linux-x86_64-2.6/numpy/core/src/multiarray/multiarraymodule_onefile.o" 
failed with exit status 1
  

Nils


More information about the Numpy-discussion mailing list